Issuu on Google+



Disney night benefits children Coach added to hall of fame Distinguished Artists Series begins

Monday, February 2, 2015

Page 2

On the cover: Bruce Uchimura performs The Merling Trio. See page 7 for story.


Monday, February 2, 2015

Jeremiah’s journey

Perseverance, poetry and publicaction Spring 2015 The Beacon is a monthly student publication. DUANE MEEKS Dean of the School of Communication and Media MICHAEL RAY SMITH Adviser HANNAH DEADMAN Executive Editor CELESTE BROWN News Editor DAVID WILLIAMS Features Editor JEREMIAH SATER Sports Editor RYAN ARNST Photo Editor AMANDA HIGGINS Graphic Design Director JAMES HALL Web Editor VICTORIA VARTAN Advertising Director Staff Peter Amirata Nancy Arteaga Taylor Branham Aaron Broghamer Cameron Codner Angel Conlon Tiffany Danin Ashley Destler April Evans Jordan Flug Katelyn Forsythe Jamie Givens Greg Halmos Jasmine McCranely Keisha Oakley Jenna Skinner Dana Stancavage Jackie Streng Becca Stripe Ashley Suter Ryan Teason Victoria Vartan READMYBEACON.COM The Executive Editor may be reached at

By Katie Forsythe Staff Writer In the life of any college student, there are many trials people face that provide the opportunity for positive, mental growth and stamina. Jeremiah Clarke, a native of the Bahamas, was born July 6, 1995 with a diagnosis of mild cerebral palsy. Even with his disability, Clarke was driven to succeed academically and get the most out of his education. “I spent five years in a wheel chair,” Clarke says. “My mother knew I would face a lot of challenges, but she always taught me not to let anything get in the way of my dreams. She always taught me to be independent, and that I can succeed just as much as everyone else, which is why she never put me in a school for disabled children. She knew, in the real world, I would be all on my own one day, so from day one, that has how I’ve been thinking.” He explained that he was determined to continue his education, never letting his physical weakness become emotional weakness, and always maintaining hope. Starting out, Clarke did not have the best academic accolades, but with encouragement and hard work he surpassed his expected goals for standardized testing and graduated high school in good standing. Upon his original acceptance to Palm Beach Atlantic University, Clarke was not granted admission into the Frederick M. Supper Honors Program, but that did not stop him from trying. He explained his desire to be a part of the program, and how disheartening it was that he was not in the program. “The most difficult, yet definitely most fulfilling challenge of my first semester was working to get into the honors program,” He says.

Photos courtesy of Jeremiah Clarke

Jeremiah Clarke’s book Something Inside So Strong is designed to inspire students to set goals and pursue them.

After applying, and presenting his case to a board of honors professors, Clarke was accepted to the program in the 2014 Spring Semester. “At first the challenge was getting into the program, now the challenge is staying in” Clarke says. “The program is vigorous and requires a much larger time commitment than my previous academic experiences.” He says he enjoys the challenge and his overall goal for his PBA experience is to excel, challenge himself, knowing that when he looks back, he will know he made the most of it. In August 2014, Clarke published his first book, Something Inside So Strong, a collection of poems about his personal struggles and his growth in Christ. “Jeremiah is a gifted poet, as we can see in his book,” says honors professor Tom St. Antoine. “His most beautiful poetry,

however, is his life well lived. The life of Jeremiah Clarke is a flowing poem. He lives poetically. It is a poetry that declares his love of his Creator, his perseverance, and most of all his incredible strength.” Clarke says one thing he hopes readers get from his book is that God is in the midst of all the struggle that individuals face and knowing that God has a purpose for it all. Along with the publication of his book, involvement in the honors program, poetry club, and in the rigorous pre-law track, he manages to stay positive through his sometimes-overwhelming life. Clarke says he manages to stay positive through the encouragement of his friends, his relationship with God, and his constant belief in his ability to succeed. “Never doubt your ability to succeed, because as soon as you do, you will fail.,” Clarke says.

After completing his undergraduate degree at PBA, Clarke plans to go to law school and aspires to be a litigation attorney so that he can be the voice for the people who have been silenced because of their circumstances. “There is so much injustice in our country,” Clarke says “The people need a voice to be heard in a court of law, and I want to be that voice.” Alongside his law career, Clarke also hopes to continue to writing and release another book in the future. Even when he is very busy, he always takes time to write. Poetry is his outlet of expression for all the struggles, joys, and new information he learns. Clarke says his ultimate goal is to be a light for God through all that he does.

Disney night for a cause proves to be huge success By David Williams Features Editor Many people who love Disney memories and films cling to that special part of their childhood. For the love of all things Disney, the Student Activities Board partnered with the Workship department to host “Disney Night 4 a Cause” in order to have a fun and productive night of trivia, karaoke and Workship. Everyone who participated in the event made masks and tutus for the organization Emmy’s Heart, a non-profit organization that gives volunteers the opportunity to make masks, tutus and other superhero apparel for

children undergoing treatment for serious illnesses or disabilities in South Florida. “As a hardcore Disney intellectual, I really enjoyed my myself that night,” says junior Molly Thistle. “It was a great event for my friends and I to be a part of, and it was an even better feeling knowing that I was able to work for a great cause as well.” For many people, trivia was very challenging and showed that only the elite Disney highbrows can reign supreme in the line of questioning. “Those questions were tough,” says junior Taylor James. “I had to have a Ph.D. in Disneyology in order to get those questions correct, and it was also great singing along with the people who led

the Disney karaoke.” By the end of the night, many tutus and masks were made to be taken to Emmy’s Heart, and all the students who contributed to the cause earned two hours of Workship credit for the event. “We had so many great people come out and had so much fun doing the projects for Emmy’s Heart,” says board member and emcee for the night Catherine Wiersma. “When people realized that they had the opportunity to bring a little joy into a child’s life, I think it made the event more special. We also had a great time stuffing our faces with pancakes and killing it at karaoke. I was so happy that we as SAB could be part of this event.” For those who cannot get

Photo by David Williams

PBA students Daniella Darling (left) and Monique Classen make tutus for the Emmy’s Heart Foundation while enjoying a night of trivia and karaoke.

enough Disney, the Student Activities Board will travel to Disney’s Magic Kindgom Saturday,

Feb. 7. Those interested can sign up in the student center; tickets are $60.


Monday, February 2, 2015

Page 3

A Christmastime mission Jamaican hearts changed as PBA students minister on the island By Peter Amirata Staff Writer


’was the day after Christmas and all through the South, when 12 students traveled to Jamaica to minister the word of God by mouth. Students began their trip from campus and departed from Fort Lauderdale to Montego Bay, a city located on the northwestern side of the island nation. Two students, Kayla Ray and Melissa Barciela, led the group of students. Accompanying them was also a group leader and recent PBA alum, Sarah Walsh from “2 All Nations,” the organization who sponsored the trip. In Jamaica, the students spent their first day exploring the Caribbean city, visiting shops, as they began their ministry on the streets and prayed with people at local hot spots. During the first couple of days, they had the opportunity to minister to people on the beaches located on the outskirts of the island.

One of the days, the team worshiped at Jamaica Bible Church and hosted a talent night filled with activities and contests. “I feel that spiritually the Jamaican people grew a lot,” says freshman Susan Zhou. “They accepted Jesus through their hearts and became faithful to him. Emotionally, they loved Jesus, opened their hearts to him and enjoyed sharing their testimonies.” The team later traveled up to a nearby mountain range where they participated in vacation Bible school and met natives from the high terrain area in the local churches. During the nights at the mountain range, the team stayed with a family from Victory Tabernacle Church and invited locals to the service, giving the children stickers as they entered. In addition to reciting Bible verses, the team reenacted the biblical story of Daniel in the lions’ den. Other activities of the night included playing games and coloring. Once the group of students returned to Montego Bay for the remaining two days in Jamaica, they continued to minister on the downtown streets and in a local shopping center.

Photo by Ryan Arnst

PBA students Daniel Grasso, Kate Wade, Hannah Eggert, Melissa Barciela, Danny Felix, Phoebe Grenz and Katie Cruz in the beginning of their street ministry.

That night, they talked to more locals, some of whom practiced Rastafarianism, an African religion that originated in the 1930s. “Meeting the local people of Jamaica and hearing their stories was life changing,” says sophomore Danny Felix. “It was amaz-

ing to pray with them and learn about their families.” On their last couple of days, the group spent time ministering on beaches near the bay. “This was my first time on a missions trip outside of the country,” says student body president

Kelso Alyea. “I would highly recommend it for people who want to get involved in missions trips.” Any students interested in participating in upcoming mission trips can contact Mark Kaprive at

Peterson’s business plan wins $10,000 in J.J.’s Entrepreneurs contest By Dana Stancavage Staff Writer


very year since 2011, aspiring student business owners have been offered the chance to win $5,000 or $10,000 from J.J.’s Entreprenuers contest to help fund their businesses. “More and more people want to work for themselves these days,” says director of Special Projects and Parent Relations Mary Jacobs. The idea of being one’s own boss has inspired many PBA students to comprise business ideas and the ability to turn those ideas into a reality. J.J. Prendamano, the general manager of United Franchise Group, began mentoring students in business and later partnered with PBA to begin the business contest that funds two stu-dent businesses per year. Once the entries are sent in, the top five business plans are individually presented to the judges, similar to the competitive process of the television show “Shark Tank.” After 15-minute presentations, the judges follow a template and

collectively decide the first and second place winners. This year, sophomore Shawn Peterson won first place for his mobile business called Boba Central, a Japanese beveraging company that specializes in creating exotic, colorful drinks “fun for all ages.” Since winning, Peterson has been able to expand Boba Central and launch a second business called Anime Loot, a retail company that sells rare anime merchandise. With the support of Prendamano and others, both of Peterson’s businesses have grown through a variety of conventions. Daylen Brinkley was awarded the second place prize of $5,000. Although there are only two winners, Ray Titus the CEO of the $500 million organiza-tion United Franchise Group, offer their experience and professional advice towards all students’ business plans. “Working with these distinguished group of advisors, I was able to bounce my ideas off of people who have proven to be successful business owners in their own right,” Peterson says. Students of any major can enter the competition and attend the Lunch and Learn event on Feb. 11 in the President’s Dining Room for a Q&A discussion with regard to the creating of a business plan.

Photo by Jackie Streng

J.J. Prendamano (right), general manager of United Franchise Group, group gives first place competitor, Shawn Peterson, the $10,000 award for means to begin his company.

The competitor with the winning business plan will have the chance to work one on one with Prendamano and create a “Strengths, Weaknesses, Opportunities and Threats” analysis in order to start a timeline for the business. PBA continues to support businesses that have won in the past,

like Toodol by Jared StresenReuter and Thoughtree by Jude Abeler. “This competition encourages students to pursue their dreams and helps motivates them,” Jacobs says. Once a winning business becomes profitable, PBA receives a 10 percent commission, which

allows them to keep the competition running and allow other young entrepreneurs begin their businesses. Those interested in becoming entrepreneurs can send their business plans to


Page 4

Monday, February 2, 2015

Men’s basketball assistant head coach receives local award Palm Beach Atlantic University’s men’s basketball team struggles after undefeated start By Ryan Teason Staff Writer The Southeastern Conference Legends Team and Palm Beach County Sports Hall of Fame recently inducted Eddie Shannon, the men’s assistant head coach at Palm Beach Atlantic University. The SEC will honor Shannon at the Florida Gators’ basketball game during their conference tournament March 11-15 in Nashville, Tenn. “First thing that came to my mind when I heard I was named to the SEC Legends Team was, ‘I must be getting old’,” Shannon said. “I am very appreciative and humbled to be able to receive these accolades.” Shannon played basketball at Cardinal Newman High School in West Palm Beach. Despite partial blindness in one of his eyes, he became a West Palm Beach basketball legend. “I was playing with my friends in a park when I was younger, and I got hit in the eye with a rock,” Shannon said. “I thought it was just a normal black eye, but it turned into a blood clot.” The partial blindness did not stop him from playing the game he loved. While in high school, Shannon was recruited by colleges like University of Arizona, Georgia Tech and others. After verbally committing to the University of Arizona, he visited the University of Florida, where he fell in love with the school’s atmosphere and decided to attend. While at the University of Florida, he was a four-year starter and named twice to the All-SEC

Photo courtesy of Eddie Shannon

“First thing that came to my mind when I heard I was named to the SEC Legends Team was, ‘I must be getting old,’” assistant head coach Eddie Shannon (pictured) said.

basketball team. Shannon averaged 10.1 points and 4.5 assists per game during his collegiate career, according to After college, he continued to play basketball overseas in countries including France, Italy and Russia, before accepting the assistant coaching position at PBA in 2012. His recent achievements do not come as a surprise to his basketball players. Senior guard Clayton Williams, who has played two seasons with Shannon, said he was thrilled to hear the news. “Coach Shannon is a guy that

comes to work everyday with passion,” Williams said. “He is an extremely hard worker, and I am glad to see all of his hard work being recognized.” Senior guard Garet Tucker agreed. “He’s totally deserving of the awards just from the little I played with him, he has taught me so much,” Tucker said. “He was a great player in college, and he is still a great player now.” As a player, Shannon faced many obstacles. Now as a coach, he faces a different set of obstacles. After starting the season 5-0, the men’s basketball team suf-

fered a nine game losing streak. From the sidelines, Shannon supported the team through their frustrating losing streak, Williams said. “Coach Shannon has encouraged us to not get down on ourselves about the way we have been playing,” he said. The men’s basketball team’s points per game have dropped over the past couple of weeks, according to “We have always encouraged the guys to put up more shots outside of practice,” Shannon said. “But recently, we have incorporated shooting drills into practice time.”

Tucker and Williams, who have both experienced hardships similar this season’s challenges, encourage the younger players not to give up. “I have been telling the younger group of guys just to continue to give their best effort,” Williams said. “I keep telling them after the losses to shake it off and remember the feeling of losing next time you are on the court and try to prevent it.” Tucker encourages spectators to attend games. “Stick with us,” Tucker added. “We all appreciate it and get so excited when we see a packed crowd.”

February marks the start for tennis

Palm Beach Atlantic tennis teams prepare for the spring By Jordan Flug Staff Writer

Palm Beach Atlantic University’s men and women’s tennis teams are set to begin their seasons this February. During their offseason, the team offered their hands and talents to the community of West Palm Beach. A few team members helped Team First, an organization that partners with the Police Athletic League that works to give tennis lesion to children in need. “When the team is off, they are of great help to their school and community,” head coach Chi Ly said. The men’s tennis team had two singles players and two doubles partners ranked nationally in the top 10 last year. “Sadly, the school and community do not know very much

about the nationally-ranked team,” Ly said. He added that the players are spending more time in the gym with morning workouts and afternoon conditioning to prepare for the season. “We began right off the bat with practices starting the first day of classes this semester, and have been drilling in practices everyday,” Ly said. In preparation for the season, the team plays scrimmages—informal games that help move their mindset away from tournaments, according to Ly. “All In” is the theme for this year’s tennis teams. This theme comes from Colossians 3:17, which says, “And whatever you do, whether in word or deed, do it all in the name of the Lord Jesus, giving thanks to God the Father through him.” Ly added that this new theme will help refocus the team to come together.

He said they were excited to open their season at the newly opened Rinker Athletic Campus, which features their first true home courts. The RAC includes six new courts and future plans for a stadium. The team hopes the new courts will draw more fans to attend matches. “Now we will have many fans come support the team with the help of the new courts,” he said. The presence of the fans at the home games will bring a sense of accomplishment to the team, Ly added. The 2015 spring season begins with the men’s first road game at Rollins College in Orlando Jan. 3, and with their first home game Feb. 6 following the women’s first home match Feb. 4 at the RAC. Photo courtesy of PBA Athletics

The men and women’s tennis teams open their home seasons at the Rinker Athletic Campus in early February.


Monday, February 2, 2015

Page 5

New fields set for Sailfish season Home opener at Rinker Athletic Campus nears for baseball team By Aaron Broghamer Staff Writer For the first time in school history, Palm Beach Atlantic University’s baseball team has an opportunity to play on their own home fields. The fields are a part of the new Rinker Athletic Campus located on Parker Avenue. “It gives us a great opportunity to practice and get ready for our games more confidently, knowing we’ll be playing on the same field just a few days later,” said sophomore pitcher Sean Horner. Head coach Kent Bottenfield agreed. “This time last year, we still didn’t even know where we were playing three or four of our games,” he said. “We are just more efficient with our practices, because we can have the field when we want [it].” The new fields will not only affect the players, but also PBA students, who will be able to attend home games. For the home opener on Feb. 3, transportation will be provided to the RAC. “As a baseball fan, it’s been disappointing not to be able to see many PBA games over the years,” said film major Brent

Primus. “It’s going to be great not having to worry about transportation anymore.” According to Bottenfield, the team needs to give up less runs this season. Last year, the team gave up 362 runs and scored only 268, according to “Our biggest issue last year was falling behind in the count and our guys weren’t getting confidence in the pitches they were throwing,” Bottenfield said. He added that the team began tracking where pitchers threw the ball over the plate. “We have eight spots we throw [over the plate],” Bottenfield said. He added that in order for the pitchers to improve, the coaches grade them on the pitch locations. “We really focused on hitting our spots, worrying more about control instead of velocity and striking people out,” Horner said. “It’s made me a better player.” Bottenfield added that as the offseason progressed the pitchers have improved by allowing fewer walks. “It’s shown to be very effective, because right now, they’re throwing the ball really well,” Bottenfield said. With 13 new players to the program, Bottenfield is excited for their potential, particularly

Photo courtesy of PBA Athletics

This season begins the first time the team will have home fields. “This time last year, we still didn’t even know where we were playing three or four of our games,” head coach Kent Bottenfield said.

with freshman first baseman Kyle Simon. He added that pitchers Josh Turner, Kyle Polaski and David Paul impressed him. The team will have shortstop Sean Viscanti back on the field after missing the 2014 season due to injury. “To have him back at [shortstop] is a good feeling for us,”

Bottenfield said. “He’s great at the plate also.” The team begins as a provisional member in the Sunshine State Conference this season. “Even though we have a tough schedule in the Sunshine State Conference, I feel like we have a good team vibe and if we hit our stride we’re going to do really

well,” Horner said. Visit for the entire home schedule at the Rinker Athletic Campus. Opening ceremonies are set for the home opener at 5:45 p.m. before the first pitch against Lynn University Feb. 3.

Men’s lacrosse teams looks to rebound from last season

Rinker Athletic Campus hosts lacrosse home opener By Ashley Suter Staff Writer Trust, confidence and family are the focus of the Palm Beach Atlantic University men’s lacrosse team for the upcoming spring season. Last spring, the men’s lacrosse team lost in the conference tournament that would have advanced them to the National Tournament in California. “We’re hungry, ready to play, ready to win, we have all of the missing pieces,” said Greg Swanson, a sophomore midfielder. “We have really built up our team to where transitioning into this year, we can have a strong comeback and strive to get to California.” Before heading to California, the team must qualify for the SELC conference tournament in Georgia. The new fields at the Rinker Athletic Campus have proved to be beneficial to the team. “It’s a breath of fresh air and it’s easier to access,” Swanson said. “These new fields give us a lot of space, they’re maintained very well and all around it’s just a really good practice facility.” The team welcomed seven new recruits this year. “We love them,” team captain

Anthony Curra said. “They’re a great aspect to the team, and they can do role playing. When everybody does their role on the team, we win.” The team is focused on building character and maturing as better lacrosse players off the field, Swanson said. “Coming in as a freshman last year, I was all about improving myself and all I cared about were my stats,” Swanson said. “But this year, everything is teamoriented. As long as I can make my teammates better people and players, that’s all I care about.” Freshman defender Noah Haislah agreed. “Along with our coach, I would just like to see how we grow as men, get team chemistry going and just be able to help each other on and off of the field,” Haislah said. Team captain Nick Scalzo agreed. “Our team is built on the aspect of family,” Scalzo said. “Not only are they great lacrosse players, they’re also good human beings in general.” On Feb. 8, the team will travel to Hardeeville, South Carolina to face the University of Dayton, who is currently ranked third in the nation. Haislah, an Ohio native, said that he would like to see a victory against the University of Dayton to have bragging rights

Photo courtesy of Noah Haishlah

“This time last year, we still didn’t even know where we were playing three or four of our games,” head coach Kent Bottenfield said.

against one of his hometown teams. The team will face preseason ranked number nine Florida Gulf Coast University April 18, who beat the Sailfish in the conference tournament last spring. He added that he also would like to beat the University of Florida, which the team plays at home April 12. “It’s a huge name, so it would be great for us to get a win over them,” Haislah said. Swanson said that this is the first year the team has added

conditioning drills along with the normal practices. They have been practicing five nights a week, two more than last year, he added. The senior team captains Cura and Scalzo have been leading the team through drills to help improve strength and overall performance. “They’re both great captains, and they have both contributed a lot on and off the field,” Swanson said. Curra said that the team has gone through a lot of adversity with three of their best players

suffering injuries last year, but this year, they are doing more conditioning to prevent injuries. The season begins Jan. 30 against Embry-Riddle Aeronautical University at the RAC. Meanwhile, the team will continue to work to start the season right. “We work hard, so we know it will pay off,” Haislah said. Swanson agreed. “Come game time, our confidence will be way higher than last year because we have all the missing pieces now,” he said.


Page 6

Monday, February 2, 2015

World’s largest water slide comes to Clematis By Angel Conlon Staff Writer Whether single, in a committed relationship or thinking about taking that next step, students and locals will have the opportunity to participate in downtown West Palm Beach’s unique Valentine’s Day experience with the world’s largest water slide. For the first time on Feb. 14, a 1,000-foot water slide will stretch down Clematis Street. Provided by the company Slide the City, this cushioned slide that is longer than three football fields, will make its first appearance east of the Mississippi River-only a short walk from Palm Beach Atlantic University. The slide debuted last July in Salt Lake City, Utah, where it dropped 145 feet in elevation over its length through the city’s iconic Temple Square. The slide has toured all over the United States since its premiere. Though West Palm Beach lacks elevation, the slide will drop about 20 feet from Sapodilla Avenue to the railroad tracks at Quadrille Boulevard before ending in a two-feet deep pool. Local merchants will likely take advantage of the large crowds sure to hit Clematis on Valentine’s Day. Slide manager Kurt Jackson said he hopes to bring in food vendors and live music for the water party. The company suggests that riders bring water buckets, floaties and water guns so that at the end of the day, they will leave completely soaked.

Slide the City’s water slide made its first appearance in Salt Lake City, Utah, last year with thousands of guests in attendance.

Many students are excited about Slide the City coming to town. “As a single girl, this is pretty much as good as it gets,” junior public relations major Sarah Wilson said. “Spending time with my friends and doing something that you dream about as kids. I’m so excited to be a part of this.” Senior communication major Laura Carrell said she hopes to

get her Disney Fanatics Club together to participate as a group. “I think this is the coolest because everyone can participate,” Carrell said. “It looks like lots of fun.” Senior ministry major Kelsey Beane agreed, suggesting that the school bring something similar to campus for students to enjoy. “Any time college students get to temporarily act like kids again,

I’m all for it,” Beane said. When the day arrives, guests can find the Slide the City table on Clematis to pick up registration packets. Registration options include Single Slider, Triple Slider or VIP Slider. The Single Slider costs $25, the Triple Slider costs $40 and the VIP Slider costs $60. VIP Sliders can slide as many times as they want throughout the day, as

Photo courtesy of Slide the City

well as an hour before the slide opens and an hour after the slide closes. The slide will operate from 10 a.m. until 6 p.m. All participants are required to slide on a tube. The slide will operate rain or shine. For more information about registration options or how to volunteer, visit

South Florida Fair featured rides, new attractions By Taylor Branham Staff Writer From games to gator dogs, the South Florida Fair had something for everyone at its event, which ran through Sunday. Taking place at the South Florida Fairgrounds, PBA students were able to purchase a $25 ticket that included food, concerts and a wristband for rides. Even with a wide variety of rides for all ages, there were still many other attractions for individuals to enjoy. The fair had sand sculptures in the Expo Center, pig races out on the grounds, and new attractions including a hypnotism show, Las Vegas on Ice, the Bengal Tigers Encounter and Elvis Presley’s personal collection. “It was pretty cool,” freshman business management major Gabriel Hajjar said. “There were old photos of him, some albums he owned, and one of his white

jumpsuits that he wore during performances.” Performances by Sanctus Real and Hawk Nelson attracted crowds of music lovers and PBA students. Many games, including the ring toss, balloon popping and shooting water guns also offered various prizes. “Normally my fair back home is on a race track-- so the location was different,” said freshman elementary education major Stephanie Dauplaise, who compared the fair to one in New Jersey. The annual South Florida Fair is held in a large lot located near the Cruzan Amphitheater in West Palm Beach. As Dauplaise spoke about the differences she saw, freshman and public relations major Janessa Dalmida recalled her hometown fair in San Diego. “It was my first time at this fair and it was so much fun,” Dalmida said. “The food wasn’t as bad as I expected it to be.” The South Florida Fair allowed individuals to take a vote on its

website to decide what foods to offer on the fairgrounds this year. Chocolate covered bacon took the lead out of the votes when offered with the choices of fondue fruit, gator dogs and Rocky Mountain oysters. “The San Diego County Fair has more outrageous foods like chocolate covered pickles and fried Kool-Aid,” Dalmida said. “They practically fry everything.” As Dauplaise and Delmida both shared their fun first experience at the South Florida Fair, Hajjar, who has attended the fair many times, decided to share his as well. “It was a lot of fun, but every year that I have gone has been pretty much the same,” Hajjar said. “Since I am a resident of West Palm Beach and have been going to the fair practically every year, I have found that it is not about where you go, but it’s who you go with.” Photo by Taylor Branham

Hundreds of South Florida residents rode the Ferris wheel, among other attractions.


Monday, February 2, 2015

Page 7

Third annual Distinguished Artists Series returns to PBA Classical trio plays pieces from Dvorak, Brahms, and Haydn From Page One By Jackie Streng Staff Writer As the 2015 spring semester begins for Palm Beach Atlantic University students, so does the School of Music and Fine Arts’ Distinguished Artists Series. Described on the PBA website as “an unparalleled concert experience featuring internationally acclaimed guest artists,” the Distinguished Artists Series has several live musical events throughout the semester ranging from classical ensembles to jazz performers. Sara Sebul, the events and auditions coordinator for the School of Music and Fine Arts, said these events are important to the campus for many reasons, including their accessibility. “Students are exposed to a high level of musicianship within walking distance,” Sebul said. “Right on campus, students are given a live experience that can help them discover a new passion.” On Jan. 23, The Merling Trio opened the first Distinguished Artist Series of the semester took place in Vera Lea Rinker Hall.

Composed of violinist Renata Artman Knific, cellist Bruce Uchimura and pianist Susan Wiersma Uchimura, the trio has been performing together for 27 years. Their repertoire includes a full career with performances in Carnegie Hall and all over the world, with television, radio and live performances. At the event, The Merling Trio played famous Romantic and classical pieces by Johannes Brahms, Antonin Dvorak and Joseph Haydn. One student in attendance was junior popular music major Tyler Sherrod. “It was lively, exciting and fun,” Sherrod said. “It was a perfect way to experience different types of music. I’ve never heard anything like this performed before.” After the performance, The Merling Trio spent time talking with the audience. Bruce Uchimura discussed why he believes music touches the soul. “It elevates the human condition,” Uchimura said. “All of the great geniuses created music. It’s a tradition worth keeping. Music brings an emotional completeness you can’t get with words.” Susan Uchimura agreed. “For me, [music] is as necessary as breathing,” said Susan

Photo by Ryan Arnst

Violinist Renata Artman Knific performs with cellist Bruce Uchimura and pianist Susan Uchimura at the Distinguished Artist Series Jan. 23, Here she plays an Antonin Dvorak piece.

Uchimura. “For students, I think it’s an important emotional outlet where each person can express themselves in their own individual way.” Both agreed that the key to being a successful musician was summed up in a single word:

“Practice!” “You must open your eyes to the wonder of music,” Uchimura said. “Having a good teacher and befriending other musicians is important as well.” There are three more Distinguished Artists events this semes-

ter. The next event will be on Feb. 27 with jazz performer Ken Peplowski. “Whenever the words ‘Distinguished Artists’ are in the title, you know it’ll be worth seeing,” Uchimura said.

PBA to implement new camera system

System promotes higher security level By Becca Stripe Staff Writer The Palm Beach Atlantic University safety and security department will soon begin the process of updating the campus security system by replacing all security cameras on campus. The new system will be Internet-based, compared to the hardware-based system the school has always had. With 122 cameras on the main campus and 44 cameras at the Rinker Athletic Campus, the safety and security department said the process of replacing cameras will take some time until the transition is complete. The plan is to begin the process over the summer with hopes to be completely updated during the fall semester. The new system will provide a greater storage capacity, eliminating restrictions to the DVR box the department currently has. Terry Wheeler, director of Campus Safety and Security, said that security cameras will never solve the problem, but might give the department a higher advantage of catching crimes. “We don’t look at the cameras as being ‘this is our big protec-

tion,’” Wheeler said. “It’s just another layer in the security we have on campus.” Wheeler said without cameras, they rely on other people to report things to them. “If we take the cameras away and everybody’s being as observant, we’ll do just as much good without the cameras as with [them],” Wheeler said. “But it provides us with an additional view.” The price to replace the 44 security cameras at the Rinker Athletic Complex will be more than $100,000. The cost to replace the 122 cameras on main campus will be at least three times that amount. The safety and security office shares the expense with PBA’s information technology services. The school is looking at changing much of its technology including the computers and phones; it plans to purchase this as a package at one time, rather than individually, which would cost the school more money. This will be an expensive purchase for the university, but according to Wheeler, it is a necessity. The current security cameras have been on campus for about 15 years. When you buy a new phone, phone companies are already making a new phone that’s going

Photo by Becca Stripe

Security officer Cameron Carver points to activity by the blood buses next to Lassiter Student Center. This is just one of the monitors set up in the Safety and Security office.

to come out tomorrow,” Wheeler said. “We have that same issue with our security cameras. Technology is advancing so quickly that it’s hard to keep up.” The university has placed the bids for the new cameras. As far as the system itself, that won’t happen until the school receives the whole technology package.

“We didn’t want to Band-Aid things because then it ends up costing more money in the long run, so we just bundle everything together, go to bid, and get everything done at the same time,” Wheeler said. Security officer Cameron Carver is also excited about the new security camera system.

“We’ve been looking for this for years, and it’s finally almost here,” Carver said. “It’s like waiting for Christmas.” Caption: Security officer Cameron Carver points to activity by the blood busses next to Lassiter Student Center. This is one of many monitors set up in the Safety and Security office.


Monday, February 2, 2015

Page 8

Palm Beach Zoo kicks off conservation series By Hannah Deadman Executive Editor Palm Beach Zoo’s annual Conservation Leadership Lecture Series began Thursday with “Mermaids & Manatees” by Dr. James “Buddy” Powell, the executive director of Sea to Shore Alliance, a non-profit conservation organization in Sarasota, Fla. Sponsored by the Bank of America, the event featured hors d’oeuvres, drinks and animal encounters before the lecture began. Palm Beach Zoo president Andrew M. Aiken introduced the evening, encouraging the crowd that responsible conservation benefits the environment, animals and people. “Our keepers and all of us here at the zoo want to help you do three things,” Aiken said. “First, we want you to have a connection with wildlife. Secondly, we want to ensure that you know about species in danger. And, we want to consider things in our lives to help wildlife.” During his lecture, Powell highlighted the behavior, conservation and natural history of manatees and discussed his experiences in the field. Powell received his B.S. from the University of Florida before receiving his M.M.A. from the University of Washington and Ph.D. from the University of Cambridge of England. He worked for the U.S. Fish

and Wildlife Service in the 1970s before studying manatees and forest elephants in West Africa for the Wildlife Conservation Society in the 1980s. In 2008, he founded Sea to Shore Alliance, which specializes in coastal ecosystem and endangered species conservation. He has also been featured on National Geographic’s Wild Chronicles documentaries. “I’ve basically been able to follow my passions since I was a kid,” Powell said. “That’s rare – a lot of people don’t get to do that. But I got my start at an early age.” Growing up in Crystal River, Fla. during the 1960s, Powell often took his grandmother fishing on a rowboat. “She was a Southern lady who would end up using a cane pole,” he added, laughing. “But when she passed away, she left money for my parents to buy me an outboard motor. So I took my boat out on the bay all the time.” It was during this time that Powell spotted a man named Daniel Hartman, a Ph.D. student at Cornell University at the time, who later pioneered the path for in-depth manatee research. At age 16, Powell became Hartman’s field assistant and began pursuing his career in science. “I really became enthralled with manatees,” Powell said. “They really intrigued me.” He said manatees are closely related to elephants, and trace their roots to a common ancestor called the Stellar’s sea cow,

Photo courtesy of Angela Cruz Ledford

Dr. James “Buddy” Powell speaks on manatee conservation and research at the Palm Beach Zoo’s Conservation Leadership Lecture series Thursday. The four-part series will run throughout the spring.

a 30-foot mammal discovered in the Bering Sea in the 18th century. Within 27 years of being discovered, the Stellar’s sea cow was hunted to extinction. According to Powell, there are three types of manatees – the Amazonian manatee, West African manatee and the West Indian manatee, which is the species found in Florida. Manatees live in warm waters and feed on sea grasses. A majority of the threats include boat strikes, shark bites and natural phenomena like algal blooms. “You’re ambassadors,” Powell

said. “We can write articles about them, but it’s up to you, who love these animals. Then we can tell people. Doing this and getting people engaged is so important – this is an opportunity to link it all together and get the message out.” Stacey Cohen, a zoo supporter, said she was excited to attend the event and enjoys partipating in conservation efforts. “I love animals and will do anything I can to support the zoo,” said Cohen, a business consultant for All Systems Go. “I went to the final lecture of

last season and decided really I wanted to come back again.” The series consists of four lectures throughout the spring, with discussions from local scientists, photographers and commissioners. Tickets are $20 per person for one event or $55 per person for a series package. All lectures are from 6-8:30 p.m. in the Zoo’s Tropics Café. For more information about The Palm Beach Zoo or the Conservation Leadership Lecture Series, call (561) 547-9453, Ext. 285 or visit www.palmbeachzoo. com.

Featured artwork Artwork by Evan Sahlman Courtesy of the Warren Library “My work from the past few years has been pushed and pulled by deadlines and unfinished thoughts. There have been times where I have been times where I have held my work in high regard, but mostly it should have never left the desk it came from. I find myself throwing away the previous generation of work and hoping for an inch of brilliance elsewhere. I think that’s why I move between mediums so often. I have hope that supernaturally I’ve gained a better eye or a steadier hand for tool use, but it doesn’t come, and I go through this cycle over and over again almost a like sinning and asking for forgiveness. My hope becomes my fault. In the end, I’m not prepared...”

Most embarrassing Valentine’s Day moment?

ed dating t r a t s e w e ith the dat w ’s M & a girl M e d a m m o g date.” n o r w “I cust e h t d I wrote Ainley n n a h o m J e – h t on card and a ts u n a e p iff sn d a scratch an e were in third W . e m “I gave my crush t a k c a b nd she threw it a ’s M & M f o k c a p ved them again.” lo r e v e n I , ss le grade but regard – Dan Read “I once de corated a boy’s room tally tore t and accide he paint o ff the wall neverything entine’s l when taki a V down.” n o ng t my car i h m o – Emily H end’s m i r f y o ochheiser b isney” D t erichs i a “My e W r e e e w c – La ile we Day wh velope, n e d e r ard in a it in my c y a D f with lentine’s a a C V e a h e f the t o o m t t t r n i a n e t p s n r t e o “Not having a date. . .” “My aun king out it, I w ad a valentine f – David Tennent thin tIh and not people though Jeremiah Sater d hand, an day.” “A pa a frie st boyfrie n n Walg d flower – d got me c reens ar a and a .” “My birthday is close to Valentine’s Day so box o nations – d got w f cho past boyfriend tried to combine the two an colat hich is es fro m me a cheesy card.” – J o ey rdan – Amber Beasl Singl ey

Follow us on social media @ The Beacon



2015 Sailfish Cup Champions

Photos by Ryan Arnst

Sailfish Cup winners JWey (Women) and Oceanview Hall (Men) celebrate their victories after a long weekend of competing in various games and performances. The Cup ended in the Greene Complex with the bake-off, video contest and Lip Sync.


The Beacon 02/02/2015